Skip to main content
GET
List organization activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Unique identifier of the organization

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

count
number
default:10

Number of items to return per page

Required range: x >= 1
Example:

10

offset
number
default:0

Number of items to skip (for pagination)

Required range: x >= 0
Example:

0

Response

200 - application/json

List of recent activities successfully retrieved. Without pagination params: plain array (legacy). With count and/or offset: paginated envelope (count alone implies offset=0).

id
string
required

Unique identifier of entity that triggered the activity

Example:

"123e4567-e89b-12d3-a456-426614174000"

transactor
string | null
required

Address or label of the initiator of this activity

Example:

"0x1234567890abcdef1234567890abcdef12345678"

occurredAtUtc
string<date-time>
required

Timestamp of when the activity occurred on-chain (or database timestamp if not available)

Example:

"2023-01-01T12:00:00Z"

transactorUrl
string | null
required

Link for the transactor address or identity

Example:

"https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678"

transactionHash
string | null
required

Transaction hash for the activity

Example:

"0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890"

type
enum<string>
required

Type of the activity

Available options:
donation
Example:

"donation"

automated
boolean
required

Flag indicating if this activity is driven by an automated process

Example:

false

chainId
number | null
required

Chain ID of the activity (null for off-chain activities)

Example:

1

amount
string
required

Amount transferred in the smallest currency unit of the asset

Example:

"1000000000000000000"

usdcAmount
string
required

USDC equivalent amount of the transaction, prior to fees being applied, in the smallest currency unit (1000000 = 1 USD)

Example:

"1000000000"

token
object | null
required

Token of this donation (null if it was a stock donation)

stock
object | null
required

Stock of this donation (null if it was a crypto donation)

to
object
required

Destination entity of the donation